## allegro4.4 4.4.3.1

=== examples/CMakeLists.txt ===
function(add_our_example nm)
    add_our_executable(${nm} WIN32 ${nm}.c ${ARGN})
endfunction()

add_our_example(ex12bit)
add_our_example(ex3buf)
add_our_example(ex3d)
add_our_example(exaccel)
add_our_example(exalpha)
add_our_example(exbitmap)
add_our_example(exblend)
add_our_example(excamera)
add_our_example(excolmap)
add_our_example(exconfig)
add_our_example(excustom)
add_our_example(exdata)
add_our_example(exdbuf)
add_our_example(exexedat)
add_our_example(exfixed)
add_our_example(exflame)
add_our_example(exflip)
add_our_example(exfont)
add_our_example(exgui)
add_our_example(exhello)
add_our_example(exjoy)
add_our_example(exkeys)
add_our_example(exlights)
add_our_example(exmem)
add_our_example(exmidi)
add_our_example(exmouse)
add_our_example(expackf)
add_our_example(expal)
add_our_example(expat)
add_our_example(exquat)
add_our_example(exrgbhsv)
add_our_example(exrotscl)
add_our_example(exsample)
add_our_example(exsyscur)
add_our_example(exscale)
add_our_example(exscn3d)
add_our_example(exscroll)
add_our_example(exshade)
add_our_example(exspline)
add_our_example(exsprite)
add_our_example(exstars)
add_our_example(exstream)
add_our_example(exswitch)
add_our_example(extimer)
add_our_example(extrans)
add_our_example(extrans2)
add_our_example(extruec)
add_our_example(exunicod)
add_our_example(exupdate)
add_our_example(exxfade)
add_our_example(exzbuf)

copy_files(copy_example_data
    allegro.pcx
    example.dat
    examples.txt
    exconfig.ini
    inkblot.tga
    mysha.pcx
    planet.pcx
    running.dat
    unifont.dat
    )

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== debian/changelog ===
allegro4.4 (2:4.4.3.1-5) unstable; urgency=medium

  * Upgrade to Standards-Version 4.7.0 (No changes required)
  * Acknowledge Non-maintainer upload (Closes: #1061990)
  * Fix lintian warning mismatch-override package-name-doesnt-match-override
  * Build-depend on pkgconf instead of pkg-config

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 07 May 2024 13:51:36 +0200

allegro4.4 (2:4.4.3.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061990

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:43:19 +0000

allegro4.4 (2:4.4.3.1-4) unstable; urgency=medium

  * Add a clean dh target to remove CHANGES - fixes building after a
    successful build (Closes: #1043942)
  * Build-dep on libgl-dev instead of libgl1-mesa-dev - Fixes lintian
    warning build-depends-on-obsolete-package
  * Fix watch file
  * Add Upstream-Contact to debian/copyright
  * Upgrade Standards Version to 4.6.2 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 28 Aug 2023 15:02:32 +0200

allegro4.4 (2:4.4.3.1-3) unstable; urgency=medium

  * Remove dependency on install-info (Closes: #1013454)
  * Add override for source-is-missing for allegrogl documentation
  * Upgrade Standards Version to 4.6.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 14 Jul 2022 16:42:22 +0200

allegro4.4 (2:4.4.3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 2:4.0.3-1.
  * Update standards version to 4.5.0, no changes needed.

  [ Andreas Rönnquist ]
  * Remove lintian override, tag hyphen-used-as-minus-sign doesn't exist
    any longer
  * Remove not installed files (They are already installed from a
    different place)
  * Remove license file (Not needed to install from here)

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 21 Dec 2020 21:57:33 +0100

allegro4.4 (2:4.4.3.1-1) unstable; urgency=medium

  * New upstream version 4.4.3.1
  * Add Pristine-tar information to gbp.conf
  * Update patch to apply to updated allegro4.4
  * Remove patch fix_format_not_string_literal_error, applied upstream
  * Remove patch fix_endianness_spelling, applied upstream
  * Remove patch to build with newer mesa, applied upstream
  * Remove patch no_fix_aliases - applied upstream
  * Use updated allegro version in rules file
  * Update allegro version in install files
  * Update to Standards-Version 4.4.0 (No changes required)
  * Remove unused override manpage-has-errors-from-man
  * Update debian/watch to use github instead of sourceforge
  * Fix watch file
  * Install upstream CHANGES properly
  * Upgrade to debhelper compat level 12

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 21 Aug 2019 02:06:28 +0200

allegro4.4 (2:4.4.2-13) unstable; urgency=medium

  * Add patch fix_building_with_newer_mesa.patch
  * Add patch no_fix_alias.patch to remove defines of f*-variants of
    math functions, which conflict with newer glibc - you'll have to
    use fix*-variants instead (Closes: #915196)
  * Update Standards-Version to 4.2.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 09 Dec 2018 01:00:11 +0100

allegro4.4 (2:4.4.2-12) unstable; urgency=medium

  * Use SOURCE_DATE_EPOCH, fixing reproducible build (Closes: #901587)

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 20 Jun 2018 02:25:22 +0200

allegro4.4 (2:4.4.2-11) unstable; urgency=medium

  [ Tobias Hansen ]
  * Update Vcs fields for salsa.

  [ Andreas Rönnquist ]
  * Removing specifying Priority: extra, package is correctly optional
  * Fix debian-rules-parses-dpkg-parsechangelog
  * Use debhelper compat 11
  * Use Standards-Version 4.1.4 (No change required)
  * Add a gbp.conf and use debian/master as Debian branch
  * Fix debian-rules-uses-unnecessary-dh-argument dh ... --parallel

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 11 Jun 2018 15:18:28 +0200

allegro4.4 (2:4.4.2-10) unstable; urgency=medium

  * Remove build-depend on oss4-dev on Linux, use ALSA instead
    (Closes: #852983)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 28 Jan 2017 19:42:25 +0100

allegro4.4 (2:4.4.2-9) unstable; urgency=medium

  * Apply patch of Reiner Herrmann improving build reproducability.
    (Closes: #824140)
  * Remove conflict of liballegro4-dev with liballegro5-dev.
    (Closes: #824157)
  * Link against libm in compile_examples.sh.

 -- Tobias Hansen <thansen@debian.org>  Tue, 21 Jun 2016 20:48:35 +0100

allegro4.4 (2:4.4.2-8) unstable; urgency=medium

  * Make build reproducible, fixing examples/source.tar.gz sorted
    locale-dependant (Closes: #823879)
  * Fix vcs-field-uses-insecure-url lintian warning
  * Update Standards-Version to 3.9.8 - no changes required

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 10 May 2016 19:15:57 +0200

allegro4.4 (2:4.4.2-7) unstable; urgency=medium

  * Fix reproducability due to varying permission inside a tarball -
    Thanks to Reiner Herrmann (Closes: #803546)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 31 Oct 2015 11:00:41 +0100

allegro4.4 (2:4.4.2-6) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * Update to Standards Version 3.9.6 (No changes required)
  * Make builds reproducible - Thanks to Chris Lamb (Closes: #778231)
  * Migrate to @d.o e-mail address

  [ Tobias Hansen ]
  * Improve fix-manpages.patch

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 09 May 2015 00:19:35 +0200

allegro4.4 (2:4.4.2-5) unstable; urgency=low

  [ Tobias Hansen ]
  * Move the ALSA plugins from their own package liballegro4.4-plugin-alsa
    to liballegro4.4. (Closes: #726648)
  * Remove transitional dummy package liballegro-doc.
  * Remove options for debug and profile libraries from allegro-config.
    (Closes: #410072)


=== debian/control ===
Source: allegro4.4
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Andreas Rönnquist <gusnan@debian.org>, Tobias Hansen <thansen@debian.org>
Homepage: http://www.liballeg.org
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
               cmake,
               pkgconf,
               texinfo,
               libxext-dev,
               libx11-dev,
               libxpm-dev,
               libxt-dev,
               libxcursor-dev,
               libasound2-dev (>= 0.9) [linux-any],
               oss4-dev [kfreebsd-any],
               libxxf86dga-dev,
               libxxf86vm-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libpng-dev,
               zlib1g-dev,
               libvorbis-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/allegro4.4
Vcs-Git: https://salsa.debian.org/games-team/allegro4.4.git

Package: liballegro4.4t64
Provides: ${t64:Provides}
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: liballegro4.4 (<< ${source:Version}), liballegro4.4-plugin-alsa (<= 2:4.4.2-4)
Replaces: liballegro4.4, liballegro4.4-plugin-alsa (<= 2:4.4.2-4)
Description: portable library for cross-platform game and multimedia development
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liballegro4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liballegro4.4t64 (= ${binary:Version}),
         libxext-dev,
         libx11-dev,
         libxpm-dev,
         libxxf86vm-dev,
         libxcursor-dev
Provides: liballegro4.2-dev, liballegro-dev
Conflicts: liballegro-dev-common, liballegro4a, liballegro-dev, liballegro4.2-dev
Replaces: liballegro-dev-common, liballegro4a, liballegro-dev, liballegro4.2-dev
Description: development files for the Allegro library
 This package contains the development headers for the Allegro library.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: allegro4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         dpkg (>= 1.15.4)
Conflicts: liballegro-doc (<= 2:4.3)
Replaces: liballegro-doc (<= 2:4.3)
Multi-Arch: foreign
Description: documentation for the Allegro library
 This package contains the Allegro documentation in various formats,
 FAQs and other documentation about the Allegro library and the
 source of the example programs.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liballeggl4.4t64
Provides: ${t64:Provides}
Replaces: liballeggl4.4
Breaks: liballeggl4.4 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liballegro4.4t64 (= ${binary:Version})
Description: library to mix OpenGL graphics with Allegro routines
 AllegroGL is an Allegro add-on that allows you to use OpenGL alongside
 Allegro -- you use OpenGL for your rendering to the screen, and Allegro for
 miscellaneous tasks like gathering input, doing timers, getting cross-platform
 portability, loading data, and drawing your textures. So this library fills
 the same hole that things like glut do.
 .
 AllegroGL also automatically exposes most, if not all, OpenGL extensions
 available to user programs. This means you no longer have to manually load
 them; extension management is already done for you.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liballeggl4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         liballeggl4.4t64 (= ${binary:Version}),
         liballegro4-dev
Replaces: liballegro4.2-dev (<< 2:4.4.2-3)
Breaks: liballegro4.2-dev (<< 2:4.4.2-3)
Multi-Arch: same
Description: development files for the allegrogl library
 This package contains the development headers for liballeggl.
 .
 AllegroGL is an Allegro add-on that allows you to use OpenGL alongside
 Allegro -- you use OpenGL for your rendering to the screen, and Allegro for
 miscellaneous tasks like gathering input, doing timers, getting cross-platform
 portability, loading data, and drawing your textures. So this library fills
 the same hole that things like glut do.
 .
 AllegroGL also automatically exposes most, if not all, OpenGL extensions
 available to user programs. This means you no longer have to manually load
 them; extension management is already done for you.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: libjpgalleg4.4t64
Provides: ${t64:Provides}
Replaces: libjpgalleg4.4
Breaks: libjpgalleg4.4 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: JPG loading addon for Allegro 4
 This add-on for Allegro will allow you to load and save JPG images using
 standard Allegro image handling functions as if they were normal bitmaps.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: libjpgalleg4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libjpgalleg4.4t64 (= ${binary:Version}),
         liballegro4-dev
Multi-Arch: same
Description: development files for the JPG loading addon for Allegro 4
 This package contains the development headers for libjpgalleg.
 .
 This add-on for Allegro will allow you to load and save JPG images using
 standard Allegro image handling functions as if they were normal bitmaps.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: libloadpng4.4t64
Provides: ${t64:Provides}
Replaces: libloadpng4.4
Breaks: libloadpng4.4 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: PNG loading addon for Allegro 4
 This add-on for Allegro will allow you to load and save PNG images using
 standard Allegro image handling functions as if they were normal bitmaps.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: libloadpng4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libloadpng4.4t64 (= ${binary:Version}),
         liballegro4-dev
Multi-Arch: same
Description: development files for the PNG loading addon for Allegro 4
 This package contains the development headers for libloadpng.
 .
 This add-on for Allegro will allow you to load and save PNG images using
 standard Allegro image handling functions as if they were normal bitmaps.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liblogg4.4t64
Provides: ${t64:Provides}
Replaces: liblogg4.4
Breaks: liblogg4.4 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: OGG loading addon for Allegro 4
 liblogg is an Allegro add-on library for playing OGG/Vorbis audio files.
 It can load OGG/Vorbis files as Allegro SAMPLE's, or it can stream them
 from disk to save memory.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liblogg4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         liblogg4.4t64 (= ${binary:Version}),
         liballegro4-dev,
         libvorbis-dev
Replaces: liballegro4.2-dev (<< 2:4.4.2-3)
Breaks: liballegro4.2-dev (<< 2:4.4.2-3)
Multi-Arch: same
Description: development files for the OGG loading addon for Allegro 4
 This package contains the development headers for liblogg.
 .
 liblogg is an Allegro add-on library for playing OGG/Vorbis audio files.
 It can load OGG/Vorbis files as Allegro SAMPLE's, or it can stream them
 from disk to save memory.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

include /usr/share/dpkg/architecture.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Use this variable to allow options passed to cmake to be overridable.
# WANT_EXAMPLES and WANT_TESTS are set to ON only to check if they build
# successfully, as their source is shipped in the doc package.
DEB_CMAKE_OPTIONS ?= -DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_INSTALL_PREFIX="/usr" \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DCMAKE_SKIP_RPATH:BOOL=ON \
		-DCMAKE_BUILD_TYPE=Release \
		-DWANT_MODULES=ON \
		-DWANT_ALSA=ON \
		-DWANT_JACK=OFF \
		-DWANT_SGIAUDIO=OFF \
		-DWANT_LINUX_CONSOLE=OFF \
		-DWANT_ALLEGROGL=ON \
		-DWANT_LOADPNG=ON \
		-DWANT_LOGG=ON \
		-DWANT_JPGALLEG=ON \
		-DWANT_TOOLS=ON \
		-DWANT_EXAMPLES=ON \
		-DWANT_TESTS=ON

# kFreeBSD specific flags, use OSS only on kfreebsd
ifeq (,$(filter-out kfreebsd,$(DEB_HOST_ARCH_OS)))
DEB_CMAKE_OPTIONS += -DWANT_OSS=ON
else
DEB_CMAKE_OPTIONS += -DWANT_OSS=OFF
endif

DOC_DIR ?= usr/share/doc/allegro4-doc/
DOC_INFO_DIR ?= usr/share/info/
DOC_HTML_DIR ?= usr/share/doc/allegro4-doc/html/
DOC_EXAMPLES_DIR ?= usr/share/doc/allegro4-doc/examples/

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_OPTIONS)

override_dh_auto_install:
	$(MAKE) --directory=build install DESTDIR=$(CURDIR)/debian/tmp
# Move docs to proper location - fixes FSSTND-dir-in-usr
	mkdir -p $(CURDIR)/debian/tmp/$(DOC_DIR)
	mkdir -p $(CURDIR)/debian/tmp/$(DOC_INFO_DIR)
	mkdir -p $(CURDIR)/debian/tmp/$(DOC_HTML_DIR)
	mkdir -p $(CURDIR)/debian/tmp/$(DOC_EXAMPLES_DIR)
	mv $(CURDIR)/debian/tmp/usr/doc/allegro-4.4.3/* $(CURDIR)/debian/tmp/$(DOC_DIR)
	mv $(CURDIR)/debian/tmp/usr/info/allegro.info $(CURDIR)/debian/tmp/$(DOC_INFO_DIR)
	cp build/docs/html/* $(CURDIR)/debian/tmp/$(DOC_HTML_DIR)
	cp $(CURDIR)/docs/txt/changes.txt $(CURDIR)/CHANGES
# Create examples source tar.gz
	rm -rf build/tmp; mkdir build/tmp
	cp examples/*.c examples/*.h examples/*.dat examples/*.pcx examples/*.txt examples/*.ini tests/*.c build/tmp/
# Glob expansions are sorted in a locale-sensitive manner; set the
# locale to make the order reproducible.
	cd build/tmp && (LC_ALL=C; export LC_ALL; GZIP="-9n" tar zcvf source.tar.gz --mtime="$(SOURCE_DATE_EPOCH)" --mode=go=rX,u+rw,a-s *)
	cp build/tmp/source.tar.gz $(CURDIR)/debian/tmp/$(DOC_EXAMPLES_DIR)
	rm ${CURDIR}/debian/tmp/usr/doc/allegro-4.4.3/* -rf
	rm ${CURDIR}/debian/tmp/usr/doc/allegro-4.4.3 -rf
	rm ${CURDIR}/debian/tmp/usr/share/doc/allegro4-doc/license.txt -rf

override_dh_makeshlibs:
	dh_makeshlibs -Xalleg-alsadigi.so -Xalleg-alsamidi.so -Xalleg-dga2.so

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

=== debian/watch ===
version=4

opts="\
    compression=gz, \
    dversionmangle=s/\+(?:4.[\d\.]+)\/allegro-(4\.\d?[02468]\.\d[\.\d]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?(4\.\d?[02468]\.\d[\.\d]*))$#$1/allegro-$2.tar.gz#, \
    filenamemangle=s#v?(4\.\d?[02468]\.\d[\.\d]*)#allegro-$1.tar.gz#" \
https://github.com/liballeg/allegro5/tags .*/releases/tag/v?(4\.\d?[02468]\.\d[\.\d]*)
